!{\src2tex{textfont=tt}}
!!****f* ABINIT/defs_mach
!! NAME
!! defs_mach
!!
!! FUNCTION
!! This module contains definitions for a number of
!! machine dependent constants
!!
!! COPYRIGHT
!! Copyright (C) 1998-2004 ABINIT group (NH, FJ, MT)
!! This file is distributed under the terms of the
!! GNU General Public License, see ~ABINIT/Infos/copyright
!! or http://www.gnu.org/copyleft/gpl.txt .
!!
!! NOTES
!! Comes from the module GlobalConstants
!! of the code atompaw by N.A.W. Holzwarth
!!
!! SOURCE

 module defs_mach

 use defs_basis

 implicit none

!Real constants
 real(dp) :: machine_precision,machine_zero,machine_infinity
 real(dp) :: minlog,maxlog,minexp,maxexp
 real(dp) :: minlogarg,maxlogarg,minexparg,maxexparg

 end module defs_mach
!!***
